## opense-basic 3.1.2

=== Makefile ===
TARGET=opense.rom

# Point to z80-binutils installation (if required)
# #
#CROSSASM=$(HOME)/src/crossAsm

# Project sub-directories that need to be buit
#
SUBDIRS=

# Linker script (config)
# 
LDSCRIPT=opense.ld

# Library, link and include directories
# 
LIB_DIRS  =
LINK_LIBS =
INC_DIRS  = data

# COFF sections to output into target
# 
OUTSECTIONS= .text

# Parameter files that get processed first
#
PARAMFILES= opense.def

# Define file ending for src files (defaults to z8s)
# 
SRC_EXT=asm

# Source files
Z80_ASM =  \
opense.asm


# Local Makefile Targets
#
all: dirs $(TARGET) map
	@echo "Done."

fresh: clean all

dirs : 
	@for i in $(SUBDIRS); do \
	(cd $$i; echo "Info: Make $$i"; $(MAKE) $(MFLAGS) $(MYMAKEFLAGS) all); done

map :
	@rm -f $(SNAPSHOT)
	@( \
	    S=`grep __"start_of_startup__ = ." lst/*.map | cut -b 17-35`; \
	    X=`grep __"start_of_startup__ = ." lst/*.map | cut -b 17-35` ; \
	    E=`grep __"bss_end__ = ." lst/*.map | cut -b 17-35` ; \
	    echo "Start Addr is " $$S; \
	    echo "Exec  Addr is " $$X; \
	    echo "End   Addr is " $$E; \
	)

dump: opense.coff
	$(OBJDUMP) -s $?

#include $(CROSSASM)/z80/Makefile_Z80
include Makefile_Z80

=== debian/changelog ===
opense-basic (1:3.1.2-3) unstable; urgency=medium

  * fix-save-routine.patch:
    - Fix save routine so it matches that of the original Spectrum ROM and
      is correctly detected by the Fuse emulator.
  * debian/control:
    - Update Standards-Version to 3.9.8 (no changes).
    - Use https version of the home page URL.
  * debian/copyright: update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 10 May 2016 13:49:06 +0300

opense-basic (1:3.1.2-2) unstable; urgency=low

  * Update my e-mail address in debian/*.
  * debian/copyright: convert file to the machine-readable format, and
    change license of the Debian packaging to GPL-2+.
  * debian/compat: bump debhelper compatibility level to 9.
  * debian/control:
    - Update Standards-Version to 3.9.4 (no changes).
    - Remove obsolete DM-Upload-Allowed flag.
    - Update build dependency on debhelper to 9.

 -- Alberto Garcia <berto@igalia.com>  Sat, 29 Jun 2013 23:50:46 +0300

opense-basic (1:3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Add epoch due to the new version numbering scheme (x.yz => x.y.z).
  * debian/copyright: update download info.
  * Upstream now distributes the documentation as SEBASIC.pdf, so let's
    keep that file name in the Debian package.
    - debian/rules: no need to touch the file anymore.
    - debian/{docs,doc-base}: update file name.

 -- Alberto Garcia <agarcia@igalia.com>  Tue, 26 Jun 2012 17:00:24 +0300

opense-basic (3.07-1) unstable; urgency=low

  * New upstream release.
  * debian/control: update Standards-Version to 3.9.3.
  * debian/copyright: update copyright years and download info.
  * debian/copyright: remove upstream's e-mail address, it's no longer
    valid.
  * debian/rules: update build and clean targets to work with the new
    release.

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 02 May 2012 10:44:02 +0300

opense-basic (3.03-1) unstable; urgency=low

  * Initial release (Closes: #628746)

 -- Alberto Garcia <agarcia@igalia.com>  Thu, 02 Jun 2011 23:34:46 +0300

=== debian/control ===
Source: opense-basic
Section: otherosfs
Priority: extra
Maintainer: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper (>= 9), binutils-z80
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/sebasic/

Package: opense-basic
Architecture: all
Depends: ${misc:Depends}
Description: Free software ROM for the Sinclair ZX Spectrum
 OpenSE BASIC is a replacement ROM for the ZX Spectrum for use with
 emulators or real machines.
 .
 Some of the highlights include a faster and better version of
 Sinclair BASIC, an enhanced editor, AY support, ULAplus support,
 improved SCREEN$ handling for UDGs and 8-bit character sets and a
 faster and more accurate floating-point library.
 .
 OpenSE BASIC remains compatible with the majority of Spectrum
 software and hardware.
 .
 It can replace the original ROM in 16K/48K models out of the box.
 It's also possible to run it in 128K models, but note that it does
 not include many functionalities present in the original ROMs of
 those machines, such as the 128K menu, editor and +3DOS.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make
	z80-unknown-coff-as -oobj/stub.o debian/opense-stub.asm
	z80-unknown-coff-ld -oopense-stub.bin obj/stub.o
	cat opense-stub.bin /dev/zero | head -c 16k > opense-stub.rom
	chmod 644 opense.rom opense-stub.rom

override_dh_auto_clean:
	[ -d lst ] || mkdir lst
	[ -d obj ] || mkdir obj
	dh_auto_clean
	rm -f *.bin

=== debian/watch ===
# No upstream tarballs available, see the copyright file for more info

## opense-basic 3.2.1

=== debian/changelog ===
opense-basic (1:3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/fix-save-routine.patch.
  * debian/rules:
    - Change the build instructions, this release uses pasmo and no longer
      provides a Makefile.
    - Check the integrity of the resulting ROM file.
  * debian/opense-stub.asm:
    - Add trailing zeroes so the size of the generated ROM file is 16KB.
  * debian/docs:
    - Install the README file.
  * debian/control:
    - Make the package Multi-Arch: foreign.
    - Change priority from 'extra' to 'optional'.
    - Replace build dependency on binutils-z80 with pasmo.
    - Add Vcs-* fields.
    - Update Homepage URL.
    - Add Rules-Requires-Root: no.
    - Update Standards-Version to 4.5.0.
  * Set the debhelper compatibility level to 12:
    - Get rid of debian/compat.
    - Add build dependency on debhelper-compat.
  * debian/copyright:
    - Use HTTPS for the copyright format URL.
    - Update copyright information.
  * debian/watch:
    - Add version number.

 -- Alberto Garcia <berto@igalia.com>  Fri, 17 Apr 2020 12:57:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: opense-basic
 Section: otherosfs
-Priority: extra
+Priority: optional
 Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 9), binutils-z80
-Standards-Version: 3.9.8
-Homepage: https://sourceforge.net/projects/sebasic/
+Build-Depends: debhelper-compat (= 12), pasmo
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://zxdesign.itch.io/opense
+Vcs-Browser: https://salsa.debian.org/berto/opense-basic
+Vcs-Git: https://salsa.debian.org/berto/opense-basic.git
 
 Package: opense-basic
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Free software ROM for the Sinclair ZX Spectrum
  OpenSE BASIC is a replacement ROM for the ZX Spectrum for use with

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	pasmo seBasic321.asm opense.rom
	pasmo debian/opense-stub.asm opense-stub.rom
	cp "OpenSE BASIC.pdf" SEBASIC.pdf

override_dh_auto_test:
	@echo 17a4560020e02e5ea82b1eecc53f4282 opense.rom | md5sum -c --quiet

override_dh_auto_clean:
	rm -f *.rom SEBASIC.pdf

=== debian/watch ===
# No upstream tarballs available, see the copyright file for more info
version=4

## opense-basic 3.03

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TARGET=opense.rom
+TARGET=opense.bin
 
 # Point to z80-binutils installation (if required)
 # #

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: opense-basic
 Section: otherosfs
-Priority: optional
-Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper-compat (= 12), pasmo
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
-Homepage: https://zxdesign.itch.io/opense
-Vcs-Browser: https://salsa.debian.org/berto/opense-basic
-Vcs-Git: https://salsa.debian.org/berto/opense-basic.git
+Priority: extra
+Maintainer: Alberto Garcia <agarcia@igalia.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), binutils-z80
+Standards-Version: 3.9.2
+Homepage: http://sourceforge.net/projects/sebasic/
 
 Package: opense-basic
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Free software ROM for the Sinclair ZX Spectrum
  OpenSE BASIC is a replacement ROM for the ZX Spectrum for use with

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make
	cp opense.bin opense.rom
	z80-unknown-coff-as -oobj/stub.o debian/opense-stub.asm
	z80-unknown-coff-ld -oopense-stub.bin obj/stub.o
	cat opense-stub.bin /dev/zero | head -c 16k > opense-stub.rom
	chmod 644 opense.rom opense-stub.rom
	cp docs/*pdf OpenSE_BASIC_Quick_Reference.pdf

override_dh_clean:
	dh_clean
	rm -f *.rom *.pdf
	if [ -d obj ]; then rmdir obj; fi
	if [ -d lst ]; then rmdir lst; fi
